#include "clisp.h"

extern gcv_object_t module__gtk__object_tab[];

int (_lisp__gtk_2Dcallback_2D0) (void* g3158, char* g3159);
int (_lisp__gtk_2Dcallback_2D0) (void* g3158, char* g3159)
{
  begin_callback();
  pushSTACK((uintP)(*(void* const *) g3158) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3158)));
  pushSTACK(g3159 == NULL ? NIL : asciz_to_string(g3159,GLO(foreign_encoding)));
  funcall(module__gtk__object_tab[0],2);
 {
  int retval;
  if (sint_p(value1)) *&retval=I_to_sint(value1); else error_sint(value1);
  end_callback();
  return retval;
 }
}

int (_lisp__gtk_2Dcallback_2D1) (void* g3176, void* g3177, char* g3178);
int (_lisp__gtk_2Dcallback_2D1) (void* g3176, void* g3177, char* g3178)
{
  begin_callback();
  pushSTACK((uintP)(*(void* const *) g3176) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3176)));
  pushSTACK((uintP)(*(void* const *) g3177) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3177)));
  pushSTACK(g3178 == NULL ? NIL : asciz_to_string(g3178,GLO(foreign_encoding)));
  funcall(module__gtk__object_tab[1],3);
 {
  int retval;
  if (sint_p(value1)) *&retval=I_to_sint(value1); else error_sint(value1);
  end_callback();
  return retval;
 }
}

int (_lisp__gtk_2Dcallback_2D2) (void* g3196, void* g3197, void* g3198, char* g3199);
int (_lisp__gtk_2Dcallback_2D2) (void* g3196, void* g3197, void* g3198, char* g3199)
{
  begin_callback();
  pushSTACK((uintP)(*(void* const *) g3196) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3196)));
  pushSTACK((uintP)(*(void* const *) g3197) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3197)));
  pushSTACK((uintP)(*(void* const *) g3198) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3198)));
  pushSTACK(g3199 == NULL ? NIL : asciz_to_string(g3199,GLO(foreign_encoding)));
  funcall(module__gtk__object_tab[2],4);
 {
  int retval;
  if (sint_p(value1)) *&retval=I_to_sint(value1); else error_sint(value1);
  end_callback();
  return retval;
 }
}

int (_lisp__gtk_2Dcallback_2D3) (void* g3218, void* g3219, void* g3220, void* g3221, char* g3222);
int (_lisp__gtk_2Dcallback_2D3) (void* g3218, void* g3219, void* g3220, void* g3221, char* g3222)
{
  begin_callback();
  pushSTACK((uintP)(*(void* const *) g3218) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3218)));
  pushSTACK((uintP)(*(void* const *) g3219) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3219)));
  pushSTACK((uintP)(*(void* const *) g3220) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3220)));
  pushSTACK((uintP)(*(void* const *) g3221) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3221)));
  pushSTACK(g3222 == NULL ? NIL : asciz_to_string(g3222,GLO(foreign_encoding)));
  funcall(module__gtk__object_tab[3],5);
 {
  int retval;
  if (sint_p(value1)) *&retval=I_to_sint(value1); else error_sint(value1);
  end_callback();
  return retval;
 }
}

int (_lisp__gtk_2Dcallback_2D4) (void* g3242, void* g3243, void* g3244, void* g3245, void* g3246, char* g3247);
int (_lisp__gtk_2Dcallback_2D4) (void* g3242, void* g3243, void* g3244, void* g3245, void* g3246, char* g3247)
{
  begin_callback();
  pushSTACK((uintP)(*(void* const *) g3242) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3242)));
  pushSTACK((uintP)(*(void* const *) g3243) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3243)));
  pushSTACK((uintP)(*(void* const *) g3244) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3244)));
  pushSTACK((uintP)(*(void* const *) g3245) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3245)));
  pushSTACK((uintP)(*(void* const *) g3246) == 0 ? NIL : make_faddress(GLO(fp_zero),(uintP)(*(void* const *) g3246)));
  pushSTACK(g3247 == NULL ? NIL : asciz_to_string(g3247,GLO(foreign_encoding)));
  funcall(module__gtk__object_tab[4],6);
 {
  int retval;
  if (sint_p(value1)) *&retval=I_to_sint(value1); else error_sint(value1);
  end_callback();
  return retval;
 }
}

void (_lisp__gtk_2Dcleanup) (int g3263);
void (_lisp__gtk_2Dcleanup) (int g3263)
{
  begin_callback();
  pushSTACK(sint_to_I(g3263));
  funcall(module__gtk__object_tab[5],1);
  end_callback();
}
#undef value1
#undef value2
#undef value3
#undef value4
#undef value5
#undef interface
#include <gtk/gtk.h>
#include <glade/glade-xml.h>
#include <glade/glade.h>
#include <glade/glade-build.h>

subr_t module__gtk__subr_tab[1];
uintC module__gtk__subr_tab_size = 0;
subr_initdata_t module__gtk__subr_tab_initdata[1];

gcv_object_t module__gtk__object_tab[6];
object_initdata_t module__gtk__object_tab_initdata[6] = {
  { "|GTK|::|gtk-callback-0|" },
  { "|GTK|::|gtk-callback-1|" },
  { "|GTK|::|gtk-callback-2|" },
  { "|GTK|::|gtk-callback-3|" },
  { "|GTK|::|gtk-callback-4|" },
  { "|GTK|::|gtk-cleanup|" },
};
uintC module__gtk__object_tab_size = 6;


void module__gtk__init_function_1 (module_t* module);

void module__gtk__init_function_2 (module_t* module);

void module__gtk__fini_function (module_t* module);


void module__gtk__init_function_1 (module_t* module)
{
  register_foreign_inttype("ssize_t",sizeof(ssize_t),(ssize_t)-1<=(ssize_t)0);
  register_foreign_inttype("size_t",sizeof(size_t),(size_t)-1<=(size_t)0);
}

void module__gtk__init_function_2 (module_t* module)
{
  register_foreign_function((void*)&g_signal_connect_data,"g_signal_connect_data",1024);
  register_foreign_function((void*)&g_signal_handler_disconnect,"g_signal_handler_disconnect",1024);
  register_foreign_function((void*)&g_signal_lookup,"g_signal_lookup",1024);
  register_foreign_function((void*)&g_signal_query,"g_signal_query",1024);
  register_foreign_function((void*)&g_type_from_name,"g_type_from_name",1024);
  register_foreign_function((void*)&gtk_window_new,"gtk_window_new",1024);
  register_foreign_function((void*)&gtk_window_set_title,"gtk_window_set_title",1024);
  register_foreign_function((void*)&gtk_window_get_title,"gtk_window_get_title",1024);
  register_foreign_function((void*)&gtk_window_set_default_size,"gtk_window_set_default_size",1024);
  register_foreign_function((void*)&gtk_window_set_position,"gtk_window_set_position",1024);
  register_foreign_function((void*)&gtk_window_set_resizable,"gtk_window_set_resizable",1024);
  register_foreign_function((void*)&gtk_window_set_transient_for,"gtk_window_set_transient_for",1024);
  register_foreign_function((void*)&gtk_window_maximize,"gtk_window_maximize",1024);
  register_foreign_function((void*)&gtk_message_dialog_new,"gtk_message_dialog_new",1024);
  register_foreign_function((void*)&gtk_window_set_icon_from_file,"gtk_window_set_icon_from_file",1024);
  register_foreign_function((void*)&gtk_window_set_keep_above,"gtk_window_set_keep_above",1024);
  register_foreign_function((void*)&gtk_window_set_keep_below,"gtk_window_set_keep_below",1024);
  register_foreign_function((void*)&gtk_about_dialog_set_version,"gtk_about_dialog_set_version",1024);
  register_foreign_function((void*)&gtk_table_new,"gtk_table_new",1024);
  register_foreign_function((void*)&gtk_table_attach_defaults,"gtk_table_attach_defaults",1024);
  register_foreign_function((void*)&gtk_container_add,"gtk_container_add",1024);
  register_foreign_function((void*)&gtk_container_remove,"gtk_container_remove",1024);
  register_foreign_function((void*)&gtk_container_set_border_width,"gtk_container_set_border_width",1024);
  register_foreign_function((void*)&gtk_hbox_new,"gtk_hbox_new",1024);
  register_foreign_function((void*)&gtk_vbox_new,"gtk_vbox_new",1024);
  register_foreign_function((void*)&gtk_box_pack_start,"gtk_box_pack_start",1024);
  register_foreign_function((void*)&gtk_box_pack_end,"gtk_box_pack_end",1024);
  register_foreign_function((void*)&gtk_box_pack_start_defaults,"gtk_box_pack_start_defaults",1024);
  register_foreign_function((void*)&gtk_box_pack_end_defaults,"gtk_box_pack_end_defaults",1024);
  register_foreign_function((void*)&gtk_button_new,"gtk_button_new",1024);
  register_foreign_function((void*)&gtk_button_new_with_label,"gtk_button_new_with_label",1024);
  register_foreign_function((void*)&gtk_button_new_from_stock,"gtk_button_new_from_stock",1024);
  register_foreign_function((void*)&gtk_button_new_with_mnemonic,"gtk_button_new_with_mnemonic",1024);
  register_foreign_function((void*)&gtk_button_set_use_stock,"gtk_button_set_use_stock",1024);
  register_foreign_function((void*)&gtk_button_set_label,"gtk_button_set_label",1024);
  register_foreign_function((void*)&gtk_button_set_relief,"gtk_button_set_relief",1024);
  register_foreign_function((void*)&gtk_toggle_button_new,"gtk_toggle_button_new",1024);
  register_foreign_function((void*)&gtk_toggle_button_new_with_label,"gtk_toggle_button_new_with_label",1024);
  register_foreign_function((void*)&gtk_toggle_button_get_active,"gtk_toggle_button_get_active",1024);
  register_foreign_function((void*)&gtk_toggle_button_set_active,"gtk_toggle_button_set_active",1024);
  register_foreign_function((void*)&gtk_check_button_new_with_label,"gtk_check_button_new_with_label",1024);
  register_foreign_function((void*)&gtk_entry_new,"gtk_entry_new",1024);
  register_foreign_function((void*)&gtk_entry_get_text,"gtk_entry_get_text",1024);
  register_foreign_function((void*)&gtk_entry_set_text,"gtk_entry_set_text",1024);
  register_foreign_function((void*)&gtk_entry_set_visibility,"gtk_entry_set_visibility",1024);
  register_foreign_function((void*)&gtk_editable_delete_text,"gtk_editable_delete_text",1024);
  register_foreign_function((void*)&gtk_editable_get_chars,"gtk_editable_get_chars",1024);
  register_foreign_function((void*)&gtk_editable_set_editable,"gtk_editable_set_editable",1024);
  register_foreign_function((void*)&gtk_editable_select_region,"gtk_editable_select_region",1024);
  register_foreign_function((void*)&gtk_text_buffer_new,"gtk_text_buffer_new",1024);
  register_foreign_function((void*)&gtk_text_buffer_set_text,"gtk_text_buffer_set_text",1024);
  register_foreign_function((void*)&gtk_text_buffer_insert_at_cursor,"gtk_text_buffer_insert_at_cursor",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_insert,"gtk_text_buffer_get_insert",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_start_iter,"gtk_text_buffer_get_start_iter",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_end_iter,"gtk_text_buffer_get_end_iter",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_bounds,"gtk_text_buffer_get_bounds",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_selection_bounds,"gtk_text_buffer_get_selection_bounds",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_iter_at_offset,"gtk_text_buffer_get_iter_at_offset",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_text,"gtk_text_buffer_get_text",1024);
  register_foreign_function((void*)&gtk_text_buffer_insert,"gtk_text_buffer_insert",1024);
  register_foreign_function((void*)&gtk_text_buffer_create_tag,"gtk_text_buffer_create_tag",1024);
  register_foreign_function((void*)&gtk_text_buffer_insert_with_tags_by_name,"gtk_text_buffer_insert_with_tags_by_name",1024);
  register_foreign_function((void*)&gtk_text_buffer_apply_tag_by_name,"gtk_text_buffer_apply_tag_by_name",1024);
  register_foreign_function((void*)&gtk_text_buffer_remove_tag_by_name,"gtk_text_buffer_remove_tag_by_name",1024);
  register_foreign_function((void*)&gtk_text_buffer_remove_all_tags,"gtk_text_buffer_remove_all_tags",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_tag_table,"gtk_text_buffer_get_tag_table",1024);
  register_foreign_function((void*)&gtk_text_buffer_select_range,"gtk_text_buffer_select_range",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_selection_bound,"gtk_text_buffer_get_selection_bound",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_line_count,"gtk_text_buffer_get_line_count",1024);
  register_foreign_function((void*)&gtk_text_buffer_create_mark,"gtk_text_buffer_create_mark",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_iter_at_mark,"gtk_text_buffer_get_iter_at_mark",1024);
  register_foreign_function((void*)&gtk_text_buffer_get_iter_at_line,"gtk_text_buffer_get_iter_at_line",1024);
  register_foreign_function((void*)&gtk_text_buffer_delete,"gtk_text_buffer_delete",1024);
  register_foreign_function((void*)&gtk_text_buffer_delete_mark,"gtk_text_buffer_delete_mark",1024);
  register_foreign_function((void*)&gtk_text_buffer_delete_mark_by_name,"gtk_text_buffer_delete_mark_by_name",1024);
  register_foreign_function((void*)&gtk_text_buffer_place_cursor,"gtk_text_buffer_place_cursor",1024);
  register_foreign_function((void*)&gtk_text_buffer_copy_clipboard,"gtk_text_buffer_copy_clipboard",1024);
  register_foreign_function((void*)&gtk_text_buffer_cut_clipboard,"gtk_text_buffer_cut_clipboard",1024);
  register_foreign_function((void*)&gtk_text_buffer_paste_clipboard,"gtk_text_buffer_paste_clipboard",1024);
  register_foreign_function((void*)&gtk_scrolled_window_new,"gtk_scrolled_window_new",1024);
  register_foreign_function((void*)&gtk_scrolled_window_set_policy,"gtk_scrolled_window_set_policy",1024);
  register_foreign_function((void*)&gtk_scrolled_window_set_shadow_type,"gtk_scrolled_window_set_shadow_type",1024);
  register_foreign_function((void*)&gtk_scrolled_window_add_with_viewport,"gtk_scrolled_window_add_with_viewport",1024);
  register_foreign_function((void*)&gtk_text_view_new_with_buffer,"gtk_text_view_new_with_buffer",1024);
  register_foreign_function((void*)&gtk_text_view_set_wrap_mode,"gtk_text_view_set_wrap_mode",1024);
  register_foreign_function((void*)&gtk_text_view_set_editable,"gtk_text_view_set_editable",1024);
  register_foreign_function((void*)&gtk_text_view_set_border_window_size,"gtk_text_view_set_border_window_size",1024);
  register_foreign_function((void*)&gtk_text_view_move_mark_onscreen,"gtk_text_view_move_mark_onscreen",1024);
  register_foreign_function((void*)&gtk_text_view_scroll_to_mark,"gtk_text_view_scroll_to_mark",1024);
  register_foreign_function((void*)&gtk_text_view_scroll_mark_onscreen,"gtk_text_view_scroll_mark_onscreen",1024);
  register_foreign_function((void*)&gtk_text_view_set_pixels_inside_wrap,"gtk_text_view_set_pixels_inside_wrap",1024);
  register_foreign_function((void*)&gtk_text_view_get_pixels_inside_wrap,"gtk_text_view_get_pixels_inside_wrap",1024);
  register_foreign_function((void*)&gtk_text_view_set_pixels_above_lines,"gtk_text_view_set_pixels_above_lines",1024);
  register_foreign_function((void*)&gtk_text_view_get_pixels_above_lines,"gtk_text_view_get_pixels_above_lines",1024);
  register_foreign_function((void*)&gtk_text_view_set_cursor_visible,"gtk_text_view_set_cursor_visible",1024);
  register_foreign_function((void*)&gtk_text_view_window_to_buffer_coords,"gtk_text_view_window_to_buffer_coords",1024);
  register_foreign_function((void*)&gtk_text_iter_forward_search,"gtk_text_iter_forward_search",1024);
  register_foreign_function((void*)&gtk_text_iter_forward_visible_cursor_position,"gtk_text_iter_forward_visible_cursor_position",1024);
  register_foreign_function((void*)&gtk_text_iter_forward_to_line_end,"gtk_text_iter_forward_to_line_end",1024);
  register_foreign_function((void*)&gtk_text_iter_set_line,"gtk_text_iter_set_line",1024);
  register_foreign_function((void*)&gtk_text_iter_set_line_offset,"gtk_text_iter_set_line_offset",1024);
  register_foreign_function((void*)&gtk_text_iter_set_line_index,"gtk_text_iter_set_line_index",1024);
  register_foreign_function((void*)&gtk_text_iter_get_text,"gtk_text_iter_get_text",1024);
  register_foreign_function((void*)&gtk_text_iter_get_line,"gtk_text_iter_get_line",1024);
  register_foreign_function((void*)&gtk_text_view_new,"gtk_text_view_new",1024);
  register_foreign_function((void*)&gtk_text_view_get_buffer,"gtk_text_view_get_buffer",1024);
  register_foreign_function((void*)&gtk_text_tag_table_remove,"gtk_text_tag_table_remove",1024);
  register_foreign_function((void*)&gdk_font_load,"gdk_font_load",1024);
  register_foreign_function((void*)&gdk_pixmap_new,"gdk_pixmap_new",1024);
  register_foreign_function((void*)&gdk_pixmap_unref,"gdk_pixmap_unref",1024);
  register_foreign_function((void*)&gdk_pixmap_create_from_xpm,"gdk_pixmap_create_from_xpm",1024);
  register_foreign_function((void*)&gdk_pixmap_colormap_create_from_xpm,"gdk_pixmap_colormap_create_from_xpm",1024);
  register_foreign_function((void*)&gdk_draw_rectangle,"gdk_draw_rectangle",1024);
  register_foreign_function((void*)&gdk_draw_arc,"gdk_draw_arc",1024);
  register_foreign_function((void*)&gdk_draw_line,"gdk_draw_line",1024);
  register_foreign_function((void*)&gdk_draw_point,"gdk_draw_point",1024);
  register_foreign_function((void*)&gdk_draw_layout,"gdk_draw_layout",1024);
  register_foreign_function((void*)&gdk_draw_drawable,"gdk_draw_drawable",1024);
  register_foreign_function((void*)&gdk_gc_new,"gdk_gc_new",1024);
  register_foreign_function((void*)&gdk_gc_set_rgb_fg_color,"gdk_gc_set_rgb_fg_color",1024);
  register_foreign_function((void*)&gdk_gc_set_rgb_bg_color,"gdk_gc_set_rgb_bg_color",1024);
  register_foreign_function((void*)&gdk_gc_set_foreground,"gdk_gc_set_foreground",1024);
  register_foreign_function((void*)&gdk_gc_set_background,"gdk_gc_set_background",1024);
  register_foreign_function((void*)&gdk_gc_set_colormap,"gdk_gc_set_colormap",1024);
  register_foreign_function((void*)&gdk_color_alloc,"gdk_color_alloc",1024);
  register_foreign_function((void*)&gdk_color_parse,"gdk_color_parse",1024);
  register_foreign_function((void*)&gdk_colormap_get_system,"gdk_colormap_get_system",1024);
  register_foreign_function((void*)&gdk_colormap_alloc_color,"gdk_colormap_alloc_color",1024);
  register_foreign_function((void*)&gdk_get_default_root_window,"gdk_get_default_root_window",1024);
  register_foreign_function((void*)&gdk_rgb_find_color,"gdk_rgb_find_color",1024);
  register_foreign_function((void*)&gdk_drawable_set_colormap,"gdk_drawable_set_colormap",1024);
  register_foreign_function((void*)&gdk_drawable_get_size,"gdk_drawable_get_size",1024);
  register_foreign_function((void*)&gdk_keymap_translate_keyboard_state,"gdk_keymap_translate_keyboard_state",1024);
  register_foreign_function((void*)&gdk_window_process_all_updates,"gdk_window_process_all_updates",1024);
  register_foreign_function((void*)&gdk_window_get_geometry,"gdk_window_get_geometry",1024);
  register_foreign_function((void*)&gdk_screen_get_default,"gdk_screen_get_default",1024);
  register_foreign_function((void*)&gdk_screen_get_width,"gdk_screen_get_width",1024);
  register_foreign_function((void*)&gdk_screen_get_height,"gdk_screen_get_height",1024);
  register_foreign_function((void*)&gdk_screen_width,"gdk_screen_width",1024);
  register_foreign_function((void*)&gdk_screen_height,"gdk_screen_height",1024);
  register_foreign_function((void*)&gdk_flush,"gdk_flush",1024);
  register_foreign_function((void*)&gdk_init,"gdk_init",1024);
  register_foreign_function((void*)&gdk_display_get_default,"gdk_display_get_default",1024);
  register_foreign_function((void*)&gdk_display_get_pointer,"gdk_display_get_pointer",1024);
  register_foreign_function((void*)&gtk_image_new,"gtk_image_new",1024);
  register_foreign_function((void*)&gtk_image_new_from_pixmap,"gtk_image_new_from_pixmap",1024);
  register_foreign_function((void*)&gtk_image_set_from_pixbuf,"gtk_image_set_from_pixbuf",1024);
  register_foreign_function((void*)&gtk_image_set_from_pixmap,"gtk_image_set_from_pixmap",1024);
  register_foreign_function((void*)&gtk_image_set,"gtk_image_set",1024);
  register_foreign_function((void*)&gtk_image_set_from_file,"gtk_image_set_from_file",1024);
  register_foreign_function((void*)&gtk_image_new_from_file,"gtk_image_new_from_file",1024);
  register_foreign_function((void*)&gtk_pixmap_new,"gtk_pixmap_new",1024);
  register_foreign_function((void*)&gtk_drawing_area_new,"gtk_drawing_area_new",1024);
  register_foreign_function((void*)&gtk_widget_queue_draw,"gtk_widget_queue_draw",1024);
  register_foreign_function((void*)&gtk_widget_get_colormap,"gtk_widget_get_colormap",1024);
  register_foreign_function((void*)&gtk_widget_get_parent_window,"gtk_widget_get_parent_window",1024);
  register_foreign_function((void*)&gtk_widget_create_pango_layout,"gtk_widget_create_pango_layout",1024);
  register_foreign_function((void*)&gtk_vscrollbar_new,"gtk_vscrollbar_new",1024);
  register_foreign_function((void*)&gtk_label_new,"gtk_label_new",1024);
  register_foreign_function((void*)&gtk_label_set_text,"gtk_label_set_text",1024);
  register_foreign_function((void*)&gtk_label_get_text,"gtk_label_get_text",1024);
  register_foreign_function((void*)&gtk_label_set_line_wrap,"gtk_label_set_line_wrap",1024);
  register_foreign_function((void*)&gtk_label_set_selectable,"gtk_label_set_selectable",1024);
  register_foreign_function((void*)&gtk_label_set_use_markup,"gtk_label_set_use_markup",1024);
  register_foreign_function((void*)&gtk_label_set_justify,"gtk_label_set_justify",1024);
  register_foreign_function((void*)&gtk_label_get_width_chars,"gtk_label_get_width_chars",1024);
  register_foreign_function((void*)&gtk_label_get_max_width_chars,"gtk_label_get_max_width_chars",1024);
  register_foreign_function((void*)&gtk_label_set_markup_with_mnemonic,"gtk_label_set_markup_with_mnemonic",1024);
  register_foreign_function((void*)&gtk_frame_new,"gtk_frame_new",1024);
  register_foreign_function((void*)&gtk_frame_set_label_align,"gtk_frame_set_label_align",1024);
  register_foreign_function((void*)&gtk_frame_set_label,"gtk_frame_set_label",1024);
  register_foreign_function((void*)&gtk_frame_get_label,"gtk_frame_get_label",1024);
  register_foreign_function((void*)&gtk_aspect_frame_new,"gtk_aspect_frame_new",1024);
  register_foreign_function((void*)&gtk_aspect_frame_set,"gtk_aspect_frame_set",1024);
  register_foreign_function((void*)&gtk_radio_button_new,"gtk_radio_button_new",1024);
  register_foreign_function((void*)&gtk_radio_button_new_with_label,"gtk_radio_button_new_with_label",1024);
  register_foreign_function((void*)&gtk_radio_button_new_from_widget,"gtk_radio_button_new_from_widget",1024);
  register_foreign_function((void*)&gtk_radio_button_new_with_label_from_widget,"gtk_radio_button_new_with_label_from_widget",1024);
  register_foreign_function((void*)&gtk_notebook_new,"gtk_notebook_new",1024);
  register_foreign_function((void*)&gtk_notebook_set_tab_pos,"gtk_notebook_set_tab_pos",1024);
  register_foreign_function((void*)&gtk_notebook_popup_enable,"gtk_notebook_popup_enable",1024);
  register_foreign_function((void*)&gtk_notebook_insert_page,"gtk_notebook_insert_page",1024);
  register_foreign_function((void*)&gtk_notebook_remove_page,"gtk_notebook_remove_page",1024);
  register_foreign_function((void*)&gtk_notebook_get_current_page,"gtk_notebook_get_current_page",1024);
  register_foreign_function((void*)&gtk_notebook_set_page,"gtk_notebook_set_page",1024);
  register_foreign_function((void*)&gtk_notebook_set_tab_label_text,"gtk_notebook_set_tab_label_text",1024);
  register_foreign_function((void*)&gtk_adjustment_new,"gtk_adjustment_new",1024);
  register_foreign_function((void*)&gtk_adjustment_get_value,"gtk_adjustment_get_value",1024);
  register_foreign_function((void*)&gtk_range_get_adjustment,"gtk_range_get_adjustment",1024);
  register_foreign_function((void*)&gtk_range_get_value,"gtk_range_get_value",1024);
  register_foreign_function((void*)&gtk_range_set_value,"gtk_range_set_value",1024);
  register_foreign_function((void*)&gtk_scale_set_draw_value,"gtk_scale_set_draw_value",1024);
  register_foreign_function((void*)&gtk_scale_set_value_pos,"gtk_scale_set_value_pos",1024);
  register_foreign_function((void*)&gtk_hscale_new,"gtk_hscale_new",1024);
  register_foreign_function((void*)&gtk_hscale_new_with_range,"gtk_hscale_new_with_range",1024);
  register_foreign_function((void*)&gtk_vscale_new_with_range,"gtk_vscale_new_with_range",1024);
  register_foreign_function((void*)&gtk_spin_button_new,"gtk_spin_button_new",1024);
  register_foreign_function((void*)&gtk_spin_button_get_value_as_int,"gtk_spin_button_get_value_as_int",1024);
  register_foreign_function((void*)&gtk_spin_button_get_value,"gtk_spin_button_get_value",1024);
  register_foreign_function((void*)&gtk_spin_button_set_wrap,"gtk_spin_button_set_wrap",1024);
  register_foreign_function((void*)&gtk_spin_button_set_value,"gtk_spin_button_set_value",1024);
  register_foreign_function((void*)&gtk_arrow_new,"gtk_arrow_new",1024);
  register_foreign_function((void*)&gtk_file_chooser_dialog_new,"gtk_file_chooser_dialog_new",1024);
  register_foreign_function((void*)&gtk_file_chooser_widget_new,"gtk_file_chooser_widget_new",1024);
  register_foreign_function((void*)&gtk_dialog_run,"gtk_dialog_run",1024);
  register_foreign_function((void*)&gtk_file_chooser_get_filename,"gtk_file_chooser_get_filename",1024);
  register_foreign_function((void*)&gtk_file_chooser_set_filename,"gtk_file_chooser_set_filename",1024);
  register_foreign_function((void*)&gtk_file_filter_new,"gtk_file_filter_new",1024);
  register_foreign_function((void*)&gtk_file_filter_add_pattern,"gtk_file_filter_add_pattern",1024);
  register_foreign_function((void*)&gtk_file_filter_set_name,"gtk_file_filter_set_name",1024);
  register_foreign_function((void*)&gtk_file_chooser_add_filter,"gtk_file_chooser_add_filter",1024);
  register_foreign_function((void*)&gtk_font_selection_dialog_new,"gtk_font_selection_dialog_new",1024);
  register_foreign_function((void*)&gtk_font_selection_dialog_get_font_name,"gtk_font_selection_dialog_get_font_name",1024);
  register_foreign_function((void*)&gtk_font_selection_new,"gtk_font_selection_new",1024);
  register_foreign_function((void*)&gtk_font_selection_get_font_name,"gtk_font_selection_get_font_name",1024);
  register_foreign_function((void*)&gtk_font_selection_set_font_name,"gtk_font_selection_set_font_name",1024);
  register_foreign_function((void*)&gtk_color_selection_new,"gtk_color_selection_new",1024);
  register_foreign_function((void*)&gtk_color_selection_set_has_opacity_control,"gtk_color_selection_set_has_opacity_control",1024);
  register_foreign_function((void*)&gtk_color_selection_set_current_color,"gtk_color_selection_set_current_color",1024);
  register_foreign_function((void*)&gtk_color_selection_get_current_color,"gtk_color_selection_get_current_color",1024);
  register_foreign_function((void*)&gtk_color_selection_set_color,"gtk_color_selection_set_color",1024);
  register_foreign_function((void*)&gtk_menu_bar_new,"gtk_menu_bar_new",1024);
  register_foreign_function((void*)&gtk_menu_shell_append,"gtk_menu_shell_append",1024);
  register_foreign_function((void*)&gtk_menu_item_new,"gtk_menu_item_new",1024);
  register_foreign_function((void*)&gtk_menu_item_new_with_label,"gtk_menu_item_new_with_label",1024);
  register_foreign_function((void*)&gtk_menu_item_new_with_mnemonic,"gtk_menu_item_new_with_mnemonic",1024);
  register_foreign_function((void*)&gtk_menu_new,"gtk_menu_new",1024);
  register_foreign_function((void*)&gtk_menu_item_set_right_justified,"gtk_menu_item_set_right_justified",1024);
  register_foreign_function((void*)&gtk_menu_item_set_submenu,"gtk_menu_item_set_submenu",1024);
  register_foreign_function((void*)&gtk_check_menu_item_new_with_label,"gtk_check_menu_item_new_with_label",1024);
  register_foreign_function((void*)&gtk_check_menu_item_new_with_mnemonic,"gtk_check_menu_item_new_with_mnemonic",1024);
  register_foreign_function((void*)&gtk_check_menu_item_get_active,"gtk_check_menu_item_get_active",1024);
  register_foreign_function((void*)&gtk_check_menu_item_set_active,"gtk_check_menu_item_set_active",1024);
  register_foreign_function((void*)&gtk_menu_popup,"gtk_menu_popup",1024);
  register_foreign_function((void*)&gtk_progress_bar_new,"gtk_progress_bar_new",1024);
  register_foreign_function((void*)&gtk_progress_bar_set_text,"gtk_progress_bar_set_text",1024);
  register_foreign_function((void*)&gtk_progress_bar_set_fraction,"gtk_progress_bar_set_fraction",1024);
  register_foreign_function((void*)&gtk_progress_bar_pulse,"gtk_progress_bar_pulse",1024);
  register_foreign_function((void*)&gtk_progress_bar_set_pulse_step,"gtk_progress_bar_set_pulse_step",1024);
  register_foreign_function((void*)&gtk_statusbar_new,"gtk_statusbar_new",1024);
  register_foreign_function((void*)&gtk_statusbar_get_context_id,"gtk_statusbar_get_context_id",1024);
  register_foreign_function((void*)&gtk_statusbar_push,"gtk_statusbar_push",1024);
  register_foreign_function((void*)&gtk_statusbar_pop,"gtk_statusbar_pop",1024);
  register_foreign_function((void*)&gtk_statusbar_remove,"gtk_statusbar_remove",1024);
  register_foreign_function((void*)&gtk_statusbar_set_has_resize_grip,"gtk_statusbar_set_has_resize_grip",1024);
  register_foreign_function((void*)&gtk_event_box_new,"gtk_event_box_new",1024);
  register_foreign_function((void*)&gtk_combo_box_new_text,"gtk_combo_box_new_text",1024);
  register_foreign_function((void*)&gtk_combo_box_append_text,"gtk_combo_box_append_text",1024);
  register_foreign_function((void*)&gtk_combo_box_insert_text,"gtk_combo_box_insert_text",1024);
  register_foreign_function((void*)&gtk_combo_box_prepend_text,"gtk_combo_box_prepend_text",1024);
  register_foreign_function((void*)&gtk_combo_box_remove_text,"gtk_combo_box_remove_text",1024);
  register_foreign_function((void*)&gtk_combo_box_get_active,"gtk_combo_box_get_active",1024);
  register_foreign_function((void*)&gtk_combo_box_set_active,"gtk_combo_box_set_active",1024);
  register_foreign_function((void*)&gtk_combo_box_get_active_text,"gtk_combo_box_get_active_text",1024);
  register_foreign_function((void*)&gtk_vseparator_new,"gtk_vseparator_new",1024);
  register_foreign_function((void*)&gtk_hseparator_new,"gtk_hseparator_new",1024);
  register_foreign_function((void*)&gtk_editable_copy_clipboard,"gtk_editable_copy_clipboard",1024);
  register_foreign_function((void*)&gtk_editable_cut_clipboard,"gtk_editable_cut_clipboard",1024);
  register_foreign_function((void*)&gtk_editable_paste_clipboard,"gtk_editable_paste_clipboard",1024);
  register_foreign_function((void*)&gdk_atom_intern,"gdk_atom_intern",1024);
  register_foreign_function((void*)&gtk_clipboard_get,"gtk_clipboard_get",1024);
  register_foreign_function((void*)&gtk_clipboard_set_text,"gtk_clipboard_set_text",1024);
  register_foreign_function((void*)&gtk_clipboard_wait_for_text,"gtk_clipboard_wait_for_text",1024);
  register_foreign_function((void*)&gtk_clist_new,"gtk_clist_new",1024);
  register_foreign_function((void*)&gtk_clist_set_column_title,"gtk_clist_set_column_title",1024);
  register_foreign_function((void*)&gtk_clist_column_titles_show,"gtk_clist_column_titles_show",1024);
  register_foreign_function((void*)&gtk_clist_append,"gtk_clist_append",1024);
  register_foreign_function((void*)&gtk_clist_set_text,"gtk_clist_set_text",1024);
  register_foreign_function((void*)&gtk_fixed_new,"gtk_fixed_new",1024);
  register_foreign_function((void*)&gtk_fixed_put,"gtk_fixed_put",1024);
  register_foreign_function((void*)&gtk_fixed_move,"gtk_fixed_move",1024);
  register_foreign_function((void*)&gtk_list_store_new,"gtk_list_store_new",1024);
  register_foreign_function((void*)&gtk_list_store_append,"gtk_list_store_append",1024);
  register_foreign_function((void*)&gtk_list_store_set,"gtk_list_store_set",1024);
  register_foreign_function((void*)&gtk_list_store_set_value,"gtk_list_store_set_value",1024);
  register_foreign_function((void*)&gtk_list_store_clear,"gtk_list_store_clear",1024);
  register_foreign_function((void*)&gtk_list_store_remove,"gtk_list_store_remove",1024);
  register_foreign_function((void*)&gtk_cell_renderer_text_new,"gtk_cell_renderer_text_new",1024);
  register_foreign_function((void*)&gtk_tree_view_new_with_model,"gtk_tree_view_new_with_model",1024);
  register_foreign_function((void*)&gtk_tree_view_column_new,"gtk_tree_view_column_new",1024);
  register_foreign_function((void*)&gtk_tree_view_column_new_with_attributes,"gtk_tree_view_column_new_with_attributes",1024);
  register_foreign_function((void*)&gtk_tree_view_column_pack_start,"gtk_tree_view_column_pack_start",1024);
  register_foreign_function((void*)&gtk_tree_view_append_column,"gtk_tree_view_append_column",1024);
  register_foreign_function((void*)&gtk_tree_view_set_headers_visible,"gtk_tree_view_set_headers_visible",1024);
  register_foreign_function((void*)&gtk_tree_view_set_headers_clickable,"gtk_tree_view_set_headers_clickable",1024);
  register_foreign_function((void*)&gtk_tree_view_get_selection,"gtk_tree_view_get_selection",1024);
  register_foreign_function((void*)&gtk_tree_view_column_set_resizable,"gtk_tree_view_column_set_resizable",1024);
  register_foreign_function((void*)&gtk_tree_view_column_set_clickable,"gtk_tree_view_column_set_clickable",1024);
  register_foreign_function((void*)&gtk_tree_selection_get_selected,"gtk_tree_selection_get_selected",1024);
  register_foreign_function((void*)&gtk_tree_selection_select_iter,"gtk_tree_selection_select_iter",1024);
  register_foreign_function((void*)&gtk_tree_selection_select_path,"gtk_tree_selection_select_path",1024);
  register_foreign_function((void*)&gtk_tree_model_get,"gtk_tree_model_get",1024);
  register_foreign_function((void*)&gtk_tree_model_get_string_from_iter,"gtk_tree_model_get_string_from_iter",1024);
  register_foreign_function((void*)&gtk_tree_path_new_from_string,"gtk_tree_path_new_from_string",1024);
  register_foreign_function((void*)&gtk_tree_path_free,"gtk_tree_path_free",1024);
  register_foreign_function((void*)&gtk_tree_sortable_set_sort_column_id,"gtk_tree_sortable_set_sort_column_id",1024);
  register_foreign_function((void*)&gtk_init,"gtk_init",1024);
  register_foreign_function((void*)&gtk_widget_show,"gtk_widget_show",1024);
  register_foreign_function((void*)&gtk_widget_show_all,"gtk_widget_show_all",1024);
  register_foreign_function((void*)&gtk_widget_realize,"gtk_widget_realize",1024);
  register_foreign_function((void*)&gtk_widget_unrealize,"gtk_widget_unrealize",1024);
  register_foreign_function((void*)&gtk_widget_hide,"gtk_widget_hide",1024);
  register_foreign_function((void*)&gtk_widget_destroy,"gtk_widget_destroy",1024);
  register_foreign_function((void*)&gtk_widget_grab_focus,"gtk_widget_grab_focus",1024);
  register_foreign_function((void*)&gtk_widget_set_size_request,"gtk_widget_set_size_request",1024);
  register_foreign_function((void*)&gtk_widget_size_request,"gtk_widget_size_request",1024);
  register_foreign_function((void*)&gtk_widget_set_usize,"gtk_widget_set_usize",1024);
  register_foreign_function((void*)&gtk_widget_modify_base,"gtk_widget_modify_base",1024);
  register_foreign_function((void*)&gtk_widget_modify_bg,"gtk_widget_modify_bg",1024);
  register_foreign_function((void*)&gtk_widget_set_sensitive,"gtk_widget_set_sensitive",1024);
  register_foreign_function((void*)&gtk_settings_get_default,"gtk_settings_get_default",1024);
  register_foreign_function((void*)&gtk_widget_get_parent,"gtk_widget_get_parent",1024);
  register_foreign_function((void*)&gtk_misc_set_alignment,"gtk_misc_set_alignment",1024);
  register_foreign_function((void*)&gtk_main,"gtk_main",1024);
  register_foreign_function((void*)&gtk_main_iteration,"gtk_main_iteration",1024);
  register_foreign_function((void*)&gtk_main_iteration_do,"gtk_main_iteration_do",1024);
  register_foreign_function((void*)&gtk_events_pending,"gtk_events_pending",1024);
  register_foreign_function((void*)&gtk_exit,"gtk_exit",1024);
  register_foreign_function((void*)&gtk_main_quit,"gtk_main_quit",1024);
  register_foreign_function((void*)&gtk_rc_parse,"gtk_rc_parse",1024);
  register_foreign_function((void*)&gtk_rc_parse_string,"gtk_rc_parse_string",1024);
  register_foreign_function((void*)&gtk_rc_reparse_all,"gtk_rc_reparse_all",1024);
  register_foreign_function((void*)&gtk_rc_reset_styles,"gtk_rc_reset_styles",1024);
  register_foreign_function((void*)&gtk_rc_add_default_file,"gtk_rc_add_default_file",1024);
  register_foreign_function((void*)&gtk_widget_set_name,"gtk_widget_set_name",1024);
  register_foreign_function((void*)&gtk_check_version,"gtk_check_version",1024);
  register_foreign_function((void*)&gtk_drag_source_set,"gtk_drag_source_set",1024);
  register_foreign_function((void*)&gtk_drag_dest_set,"gtk_drag_dest_set",1024);
  register_foreign_function((void*)&gtk_drag_finish,"gtk_drag_finish",1024);
  register_foreign_function((void*)&gtk_get_current_event_time,"gtk_get_current_event_time",1024);
  register_foreign_function((void*)&gtk_widget_get_size_request,"gtk_widget_get_size_request",1024);
  register_foreign_function((void*)&gtk_signal_emit_by_name,"gtk_signal_emit_by_name",1024);
  register_foreign_function((void*)&gtk_invisible_new,"gtk_invisible_new",1024);
  register_foreign_function((void*)&gdk_pixbuf_new_from_file,"gdk_pixbuf_new_from_file",1024);
  register_foreign_function((void*)&gdk_pixbuf_new_from_file_at_size,"gdk_pixbuf_new_from_file_at_size",1024);
  register_foreign_function((void*)&gdk_pixbuf_rotate_simple,"gdk_pixbuf_rotate_simple",1024);
  register_foreign_function((void*)&g_object_unref,"g_object_unref",1024);
  register_foreign_function((void*)&g_locale_to_utf8,"g_locale_to_utf8",1024);
  register_foreign_function((void*)&g_locale_from_utf8,"g_locale_from_utf8",1024);
  register_foreign_function((void*)&g_free,"g_free",1024);
  register_foreign_function((void*)&g_type_fundamental,"g_type_fundamental",1024);
  register_foreign_function((void*)&g_value_init,"g_value_init",1024);
  register_foreign_function((void*)&g_value_set_string,"g_value_set_string",1024);
  register_foreign_function((void*)&g_object_set_data,"g_object_set_data",1024);
  register_foreign_function((void*)&g_object_get_data,"g_object_get_data",1024);
  register_foreign_function((void*)&gtk_tree_view_set_model,"gtk_tree_view_set_model",1024);
  register_foreign_function((void*)&gtk_tree_view_column_set_title,"gtk_tree_view_column_set_title",1024);
  register_foreign_function((void*)&gtk_tree_view_column_set_attributes,"gtk_tree_view_column_set_attributes",1024);
  register_foreign_function((void*)&gtk_tree_view_column_add_attribute,"gtk_tree_view_column_add_attribute",1024);
  register_foreign_function((void*)&glade_xml_new,"glade_xml_new",1024);
  register_foreign_function((void*)&glade_xml_new_from_buffer,"glade_xml_new_from_buffer",1024);
  register_foreign_function((void*)&glade_xml_construct,"glade_xml_construct",1024);
  register_foreign_function((void*)&glade_xml_signal_connect,"glade_xml_signal_connect",1024);
  register_foreign_function((void*)&glade_xml_signal_connect_data,"glade_xml_signal_connect_data",1024);
  register_foreign_function((void*)&glade_xml_signal_autoconnect,"glade_xml_signal_autoconnect",1024);
  register_foreign_function((void*)&glade_xml_get_widget,"glade_xml_get_widget",1024);
  register_foreign_function((void*)&glade_xml_get_widget_prefix,"glade_xml_get_widget_prefix",1024);
  register_foreign_function((void*)&glade_get_widget_name,"glade_get_widget_name",1024);
  register_foreign_function((void*)&glade_get_widget_tree,"glade_get_widget_tree",1024);
  register_foreign_function((void*)&glade_xml_signal_connect_full,"glade_xml_signal_connect_full",1024);
  register_foreign_function((void*)&glade_xml_signal_autoconnect_full,"glade_xml_signal_autoconnect_full",1024);
  register_foreign_function((void*)&glade_set_custom_handler,"glade_set_custom_handler",1024);
  register_foreign_function((void*)&glade_xml_build_widget,"glade_xml_build_widget",1024);
  register_foreign_function((void*)&glade_xml_handle_internal_child,"glade_xml_handle_internal_child",1024);
  register_foreign_function((void*)&glade_xml_set_common_params,"glade_xml_set_common_params",1024);
  register_foreign_function((void*)&glade_register_widget,"glade_register_widget",1024);
  register_foreign_function((void*)&glade_standard_build_widget,"glade_standard_build_widget",1024);
  register_foreign_function((void*)&glade_xml_handle_widget_prop,"glade_xml_handle_widget_prop",1024);
  register_foreign_function((void*)&glade_standard_build_children,"glade_standard_build_children",1024);
  register_foreign_function((void*)&glade_xml_set_packing_property,"glade_xml_set_packing_property",1024);
  register_foreign_function((void*)&glade_register_custom_prop,"glade_register_custom_prop",1024);
  register_foreign_function((void*)&glade_xml_relative_file,"glade_xml_relative_file",1024);
  register_foreign_function((void*)&glade_enum_from_string,"glade_enum_from_string",1024);
  register_foreign_function((void*)&glade_flags_from_string,"glade_flags_from_string",1024);
  register_foreign_function((void*)&glade_xml_set_value_from_string,"glade_xml_set_value_from_string",1024);
  register_foreign_function((void*)&glade_xml_set_toplevel,"glade_xml_set_toplevel",1024);
  register_foreign_function((void*)&glade_xml_ensure_accel,"glade_xml_ensure_accel",1024);
}

void module__gtk__fini_function (module_t* module)
{
}
